Tuesday, July 24, 2012

How to Fix this item is not compatible with your device

When I try to download a variety of Android apps which are compatible with my Nexus 7, Goolge PLay store app always displays a error message "This item is not compatible with your device." Try restarting but still get the same issue. Is there anything else I can try?

You can use these methods that are a guaranteed fix on most devices.
* Go to your Settings 》 Apps, tap on the Google PLay app. Press "Clear cache" first and then "Clear data" second.
* If you have custom rom on Nexus 7, go to set LCD back to the regular density.

No comments:

Post a Comment